// required start
@import 'custom';
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';
// required end

.lct {
  &__dream_big {
    margin-top: -2.5rem;

    &--hero {
      position: relative;
      padding-top: 64px;
      padding-bottom: 6rem;

      @include media-breakpoint-up(md) {
        padding-bottom: 0;
        padding-top: calc(3rem + 64px);

        &:before {
          content: '';
          position: absolute;
          top: 0;
          left: 0;
          width: 100%;
          height: 100%;
          background-color: #003da6;
          background-image: url(../images/dreambig-bg-hero-left.png),
            url(../images/dreambig-bg-hero-right.png);
          background-repeat: no-repeat;
          background-position: 0% 20%, 100% 20%;
          clip-path: ellipse(70% calc(70% + 64px) at 50% 0%);
        }
      }

      .carousel-indicators {
        @include media-breakpoint-up(md) {
          margin: 0 5rem;
          justify-content: flex-end;
        }
      }

      &-carousel {
        overflow: visible;
        max-height: unset;

        @include media-breakpoint-up(md) {
          height: 230px;
        }

        @include media-breakpoint-up(lg) {
          height: 312px;
        }

        @include media-breakpoint-up(xl) {
          height: 430px;
        }

        a {
          img {
            width: 100%;
            height: auto;
            box-shadow: 0px 20px 30px rgba(0, 0, 0, 0.2);
            border-radius: 2.5rem;

            @include media-breakpoint-up(md) {
              box-shadow: 0px -20px 30px rgba(0, 0, 0, 0.2);
            }
          }
        }
      }

      .carousel-indicators {
        bottom: 2rem;

        .active {
          background-color: #ffbb51;
        }
      }

      .carousel-control-prev {
        .carousel-control-prev-icon {
          height: 3rem;
          width: 3rem;
          background-image: url(../images/icon-arrow-alt.svg);
          background-size: 36px 36px;
        }
      }

      .carousel-control-next {
        .carousel-control-next-icon {
          height: 3rem;
          width: 3rem;
          background-image: url(../images/icon-arrow-alt.svg);
          background-size: 36px 36px;
        }
      }
    }

    &--stress_test {
      position: relative;

      @include media-breakpoint-up(md) {
        background: linear-gradient(
          to bottom,
          #3053a8 0,
          #3053a8 55%,
          #5073cd 0%,
          #5073cd 56%,
          #003da6 57%,
          #003da6 100%
        );

        -webkit-mask-image: url(../images/dreambig-bg-top-stress-test-mask.png);
        -webkit-mask-size: 100% 100%;
        -webkit-mask-repeat: no-repeat;

        padding-top: 10rem;
        padding-bottom: 10rem;
      }

      &--circle {
        position: absolute;
        width: 1200px;
        height: 1200px;
        background-color: #366fe1;
        border-radius: 50%;
        box-shadow: 0px 20px 30px rgba(0, 0, 0, 0.2);
        right: -465px;
        top: -120px;
        background-image: url(../images/dreambig-stress-test-bg-tips.png);
        background-repeat: no-repeat;
        background-position: 10% 10%;
        display: none;

        @include media-breakpoint-up(md) {
          right: -660px;
          display: block;
        }

        @include media-breakpoint-up(lg) {
          right: -500px;
        }

        @include media-breakpoint-up(xl) {
          right: -465px;
        }
      }

      .container {
        @include media-breakpoint-down(md) {
          max-width: 100%;
        }
      }

      &--container {
        @include media-breakpoint-up(lg) {
          min-height: 550px;
        }
      }

      .btn {
        height: 48px;
        background-color: #fff;
        color: #0038aa;
        border-radius: 200px;
        width: 85%;
        margin: auto;
        font-weight: 600;
        display: flex;
        align-items: center;
        justify-content: center;

        @include media-breakpoint-up(xl) {
          width: 25%;
        }
      }

      &-intro {
        position: relative;
        color: #fff;
        background: linear-gradient(
          to bottom,
          #3053a8 0,
          #3053a8 55%,
          #5073cd 0%,
          #5073cd 56%,
          #003da6 57%,
          #003da6 100%
        );

        @include media-breakpoint-up(md) {
          background: none;
        }

        &:before {
          content: '';
          position: absolute;
          width: calc(100% + 10px);
          height: 151px;
          top: -148px;
          left: -10px;
          background-image: url(../images/dreambig-bg-top-stress-test-mobile.png);
          background-repeat: no-repeat;
          background-size: 100%;
          background-position: bottom;

          @include media-breakpoint-up(md) {
            display: none;
          }
        }

        p {
          @include media-breakpoint-up(md) {
            width: 80%;
          }
        }

        .img-bayi {
          margin-left: -15px;
          margin-right: -15px;

          @include media-breakpoint-up(md) {
            width: 80%;
          }

          img {
            @include media-breakpoint-up(md) {
              width: 100%;
            }
          }
        }
      }

      &-tips {
        @include media-breakpoint-up(md) {
          position: absolute;
          right: 0;
        }

        @include media-breakpoint-up(lg) {
          max-width: 600px;
        }

        &::before {
          content: '';
          width: 100%;
          height: 100%;
          position: absolute;
          background-color: #003da6;
          clip-path: ellipse(90% 50% at 50% 0%);
          left: 0;
          top: -1px;

          @include media-breakpoint-up(md) {
            display: none;
          }
        }

        &--swiper_container {
          margin-left: -15px;
          margin-right: -15px;

          @include media-breakpoint-up(md) {
            padding-bottom: 2rem;
            -webkit-mask-image: url(../images/dreambig-stress-test-tips-mask.png);
            -webkit-mask-size: 100% 130%;
            -webkit-mask-repeat: no-repeat;
            -webkit-mask-position: 100% 50%;
            padding-left: 1rem;
            margin-left: -2rem;
          }
        }

        &--swiper_slide {
          padding-bottom: 2rem;
          padding-left: 15px;
          transition: all 0.3s ease-in-out;

          @include media-breakpoint-up(md) {
            padding-bottom: 3rem;
          }

          .card {
            width: 87%;
            color: #fff;
            box-shadow: 0px 20px 30px rgba(0, 0, 0, 0.2);
            position: relative;
            opacity: 0.7;
            transition: all 0.3s ease-in-out;

            @include media-breakpoint-up(md) {
              width: 80%;
            }

            @include media-breakpoint-up(lg) {
              width: 55%;
              max-width: 350px;
            }

            img {
              height: 160px;
              object-fit: cover;
              object-position: top;
            }

            &-body {
              padding: 1rem 1.5rem;
              background-color: #10a6ed;
              height: 160px;

              span {
                font-size: 12px;
              }

              h5 {
                font-weight: 700;
                font-size: 18px;
              }

              p {
                font-size: 14px;
              }
            }
          }

          &.swiper-slide-prev {
            opacity: 0;
          }

          &.swiper-slide-active {
            .card {
              opacity: 1;

              @include media-breakpoint-up(md) {
                &::before {
                  content: unset;
                }
              }
            }
          }
        }

        &--button_wrapper {
          @include media-breakpoint-down(md) {
            .btn {
              color: #fff !important;
              width: 85%;
              background: linear-gradient(
                45deg,
                rgba(0, 56, 170, 1) 0%,
                rgba(27, 99, 170, 1) 100%
              );
            }
          }
        }

        &--tag {
          position: absolute;
          right: 0;
          background-color: #10a6ed;
          padding: 0.3rem 1.5rem;
          border-radius: 0 0 0 calc(1.5rem - 1px);
          font-weight: 600;
          font-size: 12px;
        }

        &--swiper_pagination {
          @include media-breakpoint-up(md) {
            left: 47% !important;
          }

          .swiper-pagination-bullet {
            bottom: 0;
            transform: scale(1);
          }

          .swiper-pagination-bullet-active {
            --swiper-theme-color: #ffbb51;
          }
        }

        &--swiper_button_next {
          width: 3rem;
          height: 3rem;
          top: 97%;
          right: 15%;

          &:after {
            content: '';
            width: 3rem;
            height: 3rem;
            background-image: url(../images/icon-arrow-alt.svg);
            background-repeat: no-repeat;
            background-size: 36px 36px;
          }
        }

        &--swiper_button_prev {
          width: 3rem;
          height: 3rem;
          top: 95%;

          &:after {
            content: '';
            width: 3rem;
            height: 3rem;
            background-image: url(../images/icon-arrow-alt.svg);
            background-size: 36px 36px;
            background-repeat: no-repeat;
            transform: rotate(180deg) translate(-10px, 11px);
          }
        }
      }
    }

    &--podcast {
      position: relative;
      padding-bottom: 7rem;
      background: linear-gradient(
        to bottom,
        #376fe1 0,
        #376fe1 34.3%,
        #8aabff 0%,
        #8aabff 35%,
        #003da6 35.7%,
        #003da6 100%
      );
      clip-path: ellipse(240% 100% at 50% 0);

      @include media-breakpoint-up(md) {
        background: linear-gradient(
          to bottom,
          #3053a8 0,
          #3053a8 55%,
          #5073cd 0%,
          #5073cd 56%,
          #003da6 57%,
          #003da6 100%
        );

        background: #003ca7;

        -webkit-mask-image: url(../images/dreambig-bg-top-stress-test-mask.png);
        -webkit-mask-size: 100% 100%;
        -webkit-mask-repeat: no-repeat;

        padding-top: 10rem;
        padding-bottom: 10rem;
        clip-path: unset;
      }

      &::before {
        content: '';
        position: absolute;
        top: -120px;
        width: 100%;
        height: 180px;
        background-image: url(../images/dreambig-podcast-bg-top-mobile.png);
        background-repeat: no-repeat;
        background-size: 100% 100%;

        @include media-breakpoint-up(md) {
          content: unset;
        }
      }

      &::after {
        content: '';
        position: absolute;
        top: -120px;
        width: 100%;
        height: 180px;
        background-image: url(../images/dreambig-podcast-tips-bg-top-mobile.png);
        background-repeat: no-repeat;
        background-position: 100% 100%;
        -webkit-mask-image: url(/themes/growhappytheme/assets/images/dreambig-podcast-bg-top-mobile.png);
        -webkit-mask-size: 100% 100%;
      }

      &-tips {
        position: relative;

        &::before {
          content: '';
          position: absolute;
          width: 1200px;
          height: 1200px;
          background-color: #366fe1;
          border-radius: 50%;
          box-shadow: 0px 20px 30px rgba(0, 0, 0, 0.2);
          top: -280px;
          background-image: url(../images/dreambig-stress-test-bg-tips.png);
          background-repeat: no-repeat;
          background-position: 60% 15%;
          display: none;

          @include media-breakpoint-up(md) {
            right: -25px;
            display: block;
          }
        }

        h2 {
          position: relative;
          z-index: 5;
          font-size: 36px;

          img {
            width: 200px;
          }
        }

        &--swiper_container {
          margin-left: -15px;
          margin-right: -15px;

          @include media-breakpoint-up(md) {
            padding-bottom: 2rem;
            -webkit-mask-image: url(../images/dreambig-stress-test-tips-mask.png);
            -webkit-mask-size: 100% 130%;
            -webkit-mask-repeat: no-repeat;
            -webkit-mask-position: 100% 50%;
            // padding-left: 1rem;
            margin-right: -3rem;
            // margin-right: 1rem;
            padding-right: 1rem;
            transform: translateX(-20%);
          }
        }

        &--swiper_slide {
          padding-bottom: 2rem;
          padding-left: 15px;
          transition: all 0.3s ease-in-out;

          @include media-breakpoint-up(md) {
            padding-bottom: 3rem;
          }

          .card {
            width: 87%;
            color: #fff;
            box-shadow: 0px 20px 30px rgba(0, 0, 0, 0.2);
            position: relative;
            opacity: 0;
            transition: all 0.3s ease-in-out;
            // margin-left: auto;

            @include media-breakpoint-up(md) {
              width: 100%;
            }

            @include media-breakpoint-up(lg) {
              max-width: 350px;
            }

            img {
              height: 160px;
              object-fit: cover;
              object-position: top;
            }

            &-body {
              padding: 1rem 1.5rem;
              background-color: #10a6ed;
              height: 160px;

              span {
                font-size: 12px;
              }

              h5 {
                font-weight: 700;
                font-size: 18px;
              }

              p {
                font-size: 14px;
              }
            }
          }

          &.swiper-slide-prev {
            opacity: 0;
          }

          &.swiper-slide-next {
            .card {
              opacity: 1;
            }
          }

          &.swiper-slide-active {
            .card {
              opacity: 1;

              @include media-breakpoint-up(md) {
                opacity: 0.7;

                &::before {
                  content: unset;
                }
              }
            }
          }
        }

        &--button_wrapper {
          @include media-breakpoint-down(md) {
            .btn {
              color: #0038aa !important;
              width: 85%;
              background: #ffffff;
              font-weight: 900;
              border-radius: 32px;
              width: 85%;
              height: 48px;
              transition: 0.4s ease-in-out;
              justify-content: center;
              align-items: center;
            }
          }
        }

        &--tag {
          position: absolute;
          right: 0;
          background-color: #10a6ed;
          padding: 0.3rem 1.5rem;
          border-radius: 0 0 0 calc(1.5rem - 1px);
          font-weight: 600;
          font-size: 12px;
        }

        &--swiper_pagination {
          @include media-breakpoint-up(md) {
            left: 65% !important;
          }

          .swiper-pagination-bullet {
            bottom: 0;
            transform: scale(1);
          }

          .swiper-pagination-bullet-active {
            --swiper-theme-color: #ffbb51;
          }
        }

        &--swiper_button_next {
          width: 3rem;
          height: 3rem;
          top: 97%;
          // right: 15%;

          &:after {
            content: '';
            width: 3rem;
            height: 3rem;
            background-image: url(../images/icon-arrow-alt.svg);
            background-repeat: no-repeat;
            background-size: 36px 36px;
          }
        }

        &--swiper_button_prev {
          width: 3rem;
          height: 3rem;
          top: 95%;
          left: 20%;

          @include media-breakpoint-up(md) {
            left: 33%;
          }

          &:after {
            content: '';
            width: 3rem;
            height: 3rem;
            background-image: url(../images/icon-arrow-alt.svg);
            background-size: 36px 36px;
            background-repeat: no-repeat;
            transform: rotate(180deg) translate(-10px, 11px);
          }
        }
      }

      &-spotify {
        padding-top: 3rem;

        &-swiper_container {
          margin-left: -15px;
          margin-right: -15px;
          position: relative;

          background-image: url(../images/dreambig-podcast-spotify-bg.png);
          background-repeat: no-repeat;
          background-size: 90%;
          background-position: 50% 0;
          padding-top: 4rem;

          @include media-breakpoint-up(md) {
            background-size: 80%;
            margin-right: 0;
          }

          @include media-breakpoint-up(xl) {
            width: 540px;
            margin-left: auto;
          }
        }

        &-swiper_slide {
          cursor: pointer;
          position: relative;
          // transform: scale(0.5) translateX(0%);
          // transition: transform 0.4s linear;
          padding: 0 15px;
          opacity: 0;
          padding-bottom: 6rem;

          &.positive {
            // transform: scale(0.5) translateX(-27%);
          }

          &.negative {
            // transform: scale(0.5) translateX(27%);
          }

          figure {
            display: flex;

            img {
              height: 320px;

              @include media-breakpoint-up(md) {
                width: 200px;
                height: auto;
              }

              @include media-breakpoint-up(lg) {
                width: 332px;
              }
            }
          }

          &.swiper-slide-active {
            z-index: 10;
            opacity: 1;

            .lct__dream_big--happy_nutri-tag {
              display: block;
            }

            .btn {
              opacity: 1;
            }

            figure {
              img {
                transform: translateY(25px);
                border-radius: 10px;
                filter: drop-shadow(0px 4px 16px rgba(0, 0, 0, 0.25));
              }
            }
          }

          &.swiper-slide-prev {
            opacity: 0.5;
            // transform: scale(0.5) translateX(-13%);
          }

          &.swiper-slide-next {
            opacity: 0.5;
            // transform: scale(0.5) translateX(20%);
          }
        }

        &-swiper_pagination {
          bottom: 2.5rem !important;

          .swiper-pagination-bullet-active {
            --swiper-theme-color: #ffbb51;
          }

          .swiper-pagination-bullet {
            transform: scale(1);
          }
        }

        &-swiper_button_next {
          width: 3rem;
          height: 3rem;
          top: 90%;

          @include media-breakpoint-up(md) {
            right: 17%;
            top: 92%;
          }

          &:after {
            content: '';
            width: 3rem;
            height: 3rem;
            // background-image: url(../images/icon-arrow-dark-blue-alt.svg);
            background-image: url(../images/icon-arrow-alt.svg);
            background-size: 36px 36px;
            background-position: 50%;

            @include media-breakpoint-up(md) {
              background-image: url(../images/icon-arrow-alt.svg);
            }

            background-repeat: no-repeat;
          }
        }

        &-swiper_button_prev {
          width: 3rem;
          height: 3rem;
          top: 90%;

          @include media-breakpoint-up(md) {
            left: 17%;
            top: 92%;
          }

          &:after {
            content: '';
            width: 3rem;
            height: 3rem;
            // background-image: url(../images/icon-arrow-dark-blue-alt.svg);
            background-image: url(../images/icon-arrow-alt.svg);
            background-size: 36px 36px;
            background-position: 50%;

            @include media-breakpoint-up(md) {
              background-image: url(../images/icon-arrow-alt.svg);
            }

            background-repeat: no-repeat;
            transform: rotate(180deg) translate(-10px, 7px);
          }
        }
      }
    }

    &--cerita {
      h2 {
        color: #10a6ed;
        font-weight: 600;

        img {
          height: 1.5rem;

          @include media-breakpoint-up(lg) {
            height: 1.8rem;
          }
        }
      }

      &-desc {
        font-size: 20px;

        @include media-breakpoint-up(md) {
          font-size: 18px;
        }
      }

      &-swiper_container {
        margin-left: -15px;
        margin-right: -15px;
        overflow: visible;

        @include media-breakpoint-up(md) {
          margin-left: -30px;
          margin-right: -30px;
        }
      }

      &-swiper_slide {
        padding: 0 30px;
        opacity: 0;
        transition: all 0.3s ease-in-out;

        .card {
          position: relative;
          background-color: transparent;

          img {
            border-radius: 24px;
            height: 200px;
            object-fit: cover;
            object-position: top;
          }

          &-body {
            min-height: 223px;

            * {
              display: none;
            }

            h5 {
              color: #003da6;
              font-weight: 900;
              font-size: 28px;
              display: block;
            }
          }
        }

        &.swiper-slide-active {
          .card {
            &-body {
              * {
                display: block;
              }

              @include media-breakpoint-up(lg) {
                * {
                  display: none;
                }

                h5 {
                  display: block;
                }
              }
            }
          }
        }

        &.swiper-slide-next,
        &.swiper-slide-prev,
        &.swiper-slide-active {
          cursor: pointer;

          img {
            box-shadow: 0px 20px 30px rgba(0, 0, 0, 0.2);
          }

          opacity: 1;

          @include media-breakpoint-up(lg) {
            &:hover {
              opacity: 1;

              .card {
                overflow: hidden;
                box-shadow: 0px 20px 30px rgba(0, 0, 0, 0.2);

                @include media-breakpoint-up(md) {
                  background-color: #003da6;
                  color: #fff;
                }

                transition: 0.3s ease-in-out;

                .lct__dream_big--cerita-play_wrapper {
                  @include media-breakpoint-up(md) {
                    display: none;
                  }
                }

                img {
                  border-radius: 24px 24px 0px 0px;
                  box-shadow: none;

                  @include media-breakpoint-up(md) {
                    border-radius: 0;
                  }
                }

                &-body {
                  * {
                    display: block;
                  }

                  h5 {
                    @include media-breakpoint-up(md) {
                      color: #fff;
                    }
                  }

                  .btn {
                    background-color: #fff;
                    color: #003da6;
                    font-weight: 600;
                    border-radius: 32px;
                    padding: 0.5rem 1.2rem;
                    font-size: 12px;
                    min-width: 160px;
                  }
                }
              }
            }
          }
        }
      }

      &-swiper_pagination {
        .swiper-pagination-bullet {
          bottom: 0;
          transform: scale(1);
        }

        .swiper-pagination-bullet-active {
          --swiper-theme-color: #ffbb51;
        }
      }

      &-play_wrapper {
        position: absolute;
        width: 100%;
        height: 100%;
        max-height: 200px;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: #003da680;
        border-radius: 1.5rem;

        .btn {
          background-color: #fff;
          color: #003da6;
          font-weight: 600;
          border-radius: 32px;
          padding: 0.5rem 1.2rem;
          font-size: 12px;
          min-width: 160px;
        }
      }
    }

    &--happy_nutri {
      position: relative;
      background: linear-gradient(
        to bottom,
        #fff 0,
        #fff 8rem,
        #e3f5ff 7.03%,
        rgba(227, 245, 255, 0) 81.79%
      );

      @include media-breakpoint-up(md) {
        margin-top: -20rem;
        padding-top: 25rem;
      }

      h2 {
        font-weight: 600;
        color: #10a6ed;
        margin-bottom: 8rem;
        font-size: 7vw;

        @include media-breakpoint-up(md) {
          font-size: 40px;
          margin-bottom: 10rem;
        }

        img {
          position: absolute;
          margin-left: 0.5rem;
          margin-top: 0.3rem;
          width: 50vw;

          @include media-breakpoint-up(lg) {
            margin-top: 0.6rem;
          }

          &.lct__dream_big--happy_nutri-grow_happy_logo {
            margin-top: 0.1rem;
            margin-bottom: 0;
            margin-left: 0.5rem;
            width: 40vw;
          }

          @include media-breakpoint-up(md) {
            width: 60%;

            &.lct__dream_big--happy_nutri-grow_happy_logo {
              width: 50%;
            }
          }

          @include media-breakpoint-up(xl) {
            width: 250px;

            &.lct__dream_big--happy_nutri-grow_happy_logo {
              width: auto;
              height: 40px;
            }
          }
        }
      }

      &::before {
        content: '';
        width: 100%;
        position: absolute;
        height: 200px;
        background-image: url(../images/dreambig-bg-top-happy-nutri-mobile.png);
        background-repeat: no-repeat;
        background-size: 100%;
        top: 8rem;
        left: 0;

        @include media-breakpoint-up(md) {
          background-image: url(../images/dreambig-bg-top-happy-nutri-desktop.png);
        }
      }

      &-kandungan {
        p {
          color: #003da6;
          font-weight: 600;
        }
      }

      &-tag {
        position: absolute;
        left: 4rem;
        top: 1rem;
        color: #fff;
        font-weight: 900;
        font-size: 24px;
        display: none;
        width: 100%;
        height: 100%;

        @include media-breakpoint-up(md) {
          display: block;
        }
      }

      &-swiper_container {
        margin-left: -15px;
        margin-right: -15px;
        position: relative;

        @include media-breakpoint-up(md) {
          &:before {
            content: '';
            position: absolute;
            width: 90%;
            left: 5%;
            height: calc(100% - 120px);
            border-radius: 32px;
            background-color: #000;
            background: linear-gradient(
              240.91deg,
              #1b63aa 10.39%,
              #0038aa 95.99%
            );
          }
        }

        @include media-breakpoint-up(xl) {
          width: 540px;
          margin-left: auto;
          margin-right: auto;
        }
      }

      &-swiper_slide {
        position: relative;
        transform: scale(0.5) translateX(0%);
        transition: transform 0.4s linear;
        padding: 0 15px;
        opacity: 0;

        &.positive {
          transform: scale(0.5) translateX(-27%);
        }

        &.negative {
          transform: scale(0.5) translateX(27%);
        }

        figure {
          display: flex;

          img {
            height: 320px;
          }
        }

        .btn {
          background: linear-gradient(
            240.91deg,
            #1b63aa 10.39%,
            #0038aa 95.99%
          );
          font-weight: 900;
          border-radius: 32px;
          color: #fff;
          width: 85%;
          height: 48px;
          transition: 0.4s ease-in-out;
          opacity: 0;

          @include media-breakpoint-up(md) {
            width: 50%;
            background: #0038aa;
          }
        }

        &.swiper-slide-active {
          z-index: 10;
          opacity: 1;
          transform: scale(1);

          .lct__dream_big--happy_nutri-tag {
            display: block;
          }

          .btn {
            opacity: 1;
          }

          figure {
            img {
              transform: translateY(25px);
            }
          }
        }

        &.swiper-slide-prev {
          opacity: 0.5;
          transform: scale(0.5) translateX(-13%);
        }

        &.swiper-slide-next {
          opacity: 0.5;
          transform: scale(0.5) translateX(20%);
        }
      }

      &-swiper_button_next {
        width: 3rem;
        height: 3rem;
        top: 35%;

        @include media-breakpoint-up(md) {
          top: 36%;
          right: 12%;
        }

        &:after {
          content: '';
          width: 3rem;
          height: 3rem;
          background-image: url(../images/icon-arrow-dark-blue-alt.svg);
          background-size: 36px 36px;
          background-position: 50%;

          @include media-breakpoint-up(md) {
            background-image: url(../images/icon-arrow-alt.svg);
          }

          background-repeat: no-repeat;
        }
      }

      &-swiper_button_prev {
        width: 3rem;
        height: 3rem;
        top: 35%;

        @include media-breakpoint-up(md) {
          top: 36%;
          left: 12%;
        }

        &:after {
          content: '';
          width: 3rem;
          height: 3rem;
          background-image: url(../images/icon-arrow-dark-blue-alt.svg);
          background-size: 36px 36px;
          background-position: 50%;

          @include media-breakpoint-up(md) {
            background-image: url(../images/icon-arrow-alt.svg);
          }

          background-repeat: no-repeat;
          transform: rotate(180deg) translate(-10px, 7px);
        }
      }
    }
  }
}

#modalSpotify,
#modalYoutube {
  background-color: #f8f9fde0;

  .modal-content {
    border-radius: 10px;
    margin-top: calc(50vh - 150px);

    @include media-breakpoint-up(lg) {
      margin-top: calc(50vh - 220px);
    }
  }

  .modal-body {
    padding: 0;
  }

  .close {
    position: absolute;
    color: #dc3545;
    opacity: 1;
    border: 1px solid;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    top: -3rem;
    right: 0;
    width: 32px;
    height: 32px;

    span {
      padding-bottom: 0.2rem;
    }
  }
}

#modalSpotify {
  .modal-content {
    border: 0;
    background-color: transparent;
    margin-top: calc(50vh - 150px);
  }
}

// superiority
body {
  background-color: #fff;
  background-image: url(../images/superiority/bg-m.png);
  background-repeat: no-repeat;
  background-size: 115%;
  background-position: center 0;
}
@media (min-width: 370px) {
  body {
    background-size: 110%;
  }
}
@media (min-width: 400px) {
  body {
    background-size: 100%;
  }
}

@media (min-width: 1020px) {
  body {
    background-image: url(../images/superiority/bg.png);
    background-size: 100%;
  }
}
@media (min-width: 1200px) {
  body {
    background-size: 123%;
  }
}

.product-main {
  text-align: center;
  max-width: 7rem;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}

@media (min-width: 1024px) {
  .product-main {
    max-width: 12rem;
  }
}

.puzzle {
  margin: 0 auto;
  padding: 2rem 0;
  max-width: 20.5rem;
  position: relative;
}

@media (min-width: 1024px) {
  .puzzle {
    padding: 4rem;
    max-width: 38rem;
  }
}

@media (min-width: 1024px) {
  .fadeout {
    width: auto !important;
  }

  .puzzle-wrapper:hover > .fadeout,
  .puzzle-wrapper:focus-within > .fadeout,
  .card.fadeout {
    opacity: 0.4;
  }

  .puzzle-wrapper:hover > .fadeout:hover,
  .puzzle-wrapper:focus-within > .fadeout:focus {
    opacity: 1;
  }
}

.puzzle-1,
.puzzle-2,
.puzzle-3,
.puzzle-4 {
  position: absolute;
  top: 2rem;
  left: -4rem;
  background-image: url(../images/superiority/puzzle.png?v=2);
  background-size: 30rem;
  min-height: 10.1rem;
  min-width: 15rem;
  opacity: 1;
  transition: all cubic-bezier(0.55, 0.055, 0.675, 0.19) 0.25s;
  transform: scale(0.6);
}

@media (min-width: 1024px) {
  .puzzle-1,
  .puzzle-2,
  .puzzle-3,
  .puzzle-4 {
    top: 6rem;
    left: 1rem;
    transform: scale(1);
  }
}

.puzzle-2 {
  top: -0.5rem;
  left: auto;
  right: -4rem;
  min-height: 12.5rem;
  background-position: right 0;
  min-height: 10rem;
}

@media (min-width: 1024px) {
  .puzzle-2 {
    top: 3rem;
    right: 1rem;
  }
}

.puzzle-3 {
  top: auto;
  bottom: -2.5rem;
  left: -2.8rem;
  background-position: 0 11.3rem;
  min-height: 11rem;
}

@media (min-width: 1024px) {
  .puzzle-3 {
    bottom: -0.2rem;
    left: 3rem;
  }
}

.puzzle-4 {
  top: auto;
  left: auto;
  right: -3.3rem;
  bottom: 0.4rem;
  min-height: 11rem;
  background-position: right bottom;
}

@media (min-width: 1024px) {
  .puzzle-4 {
    right: 2.2rem;
    bottom: 3.3rem;
  }
}

.card {
  border-radius: 0.5rem;
}

.card-header:first-child {
  border-radius: calc(0.5rem - 1px) calc(0.5rem - 1px) 0 0;
}

@media (min-width: 1024px) {
  .card {
    border-radius: 1.5rem;
  }

  .card-header:first-child {
    border-radius: calc(1.5rem - 1px) calc(1.5rem - 1px) 0 0;
  }
}

.card-1,
.card-2,
.card-3,
.card-4 {
  opacity: 1;
  transition: all cubic-bezier(0.55, 0.055, 0.675, 0.19) 0.25s;
  margin-bottom: 1rem;
}

@media (min-width: 1024px) {
  .card-2,
  .card-3 {
    margin-left: -1rem;
    margin-right: 1rem;
  }
}

.lct__dream_big--happy_nutri:before {
  background-image: none;
}

.lct__dream_big--cerita-play_wrapper {
  max-height: 100%;
}

.cerita-video-container {
  margin: 2rem auto 5rem;
}

@media (min-width: 1440px) {
  .cerita-video-container {
    margin: 9rem auto 1rem;
  }
}

@media (min-width: 1600px) {
  .cerita-video-container {
    margin: 27rem auto 1rem;
  }
}

.cerita-video-next,
.cerita-video-prev {
  top: 50%;
  left: -1.2rem;
}

.cerita-video-next {
  top: 50%;
  left: auto;
  right: -0.6rem;
}

.card-mobile > .card-pagination {
  bottom: -1rem;
}

.cerita-video > .cerita-video-pagination {
  bottom: -2.5rem;
}

.cerita-video > .cerita-video-pagination > .swiper-pagination-bullet {
  margin: 0.5rem;
  transform: scale(1.5);
}

.card-text {
  font-size: 0.75rem;
}

@media (min-width: 1024px) {
  .card-text {
    font-size: 1rem;
  }
}

@media (max-width: 1024px) {
  .fadeout {
    opacity: 0.4;
    width: auto !important;
  }

  .swiper-slide-thumb-active {
    opacity: 1;
  }
}
/* card phone */

.card.card-book {
  background-color: #10a6ed;
  background-repeat: no-repeat;
  background-size: 167%;
  border-radius: 1.5rem;
  background-image: url(../images/99ways/bg-card-m.png);
  text-align: center;
}

@media (min-width: 768px) {
  .card.card-book {
    background-size: 150%;
    background-image: url(../images/99ways/bg-card.png);
  }
}
.img-phone {
  margin: -3rem 0 -2rem;
}
@media (min-width: 768px) {
  .img-phone {
    margin: -8rem 0 -8rem -1.5rem;
  }
}
@media (max-width: 768px) {
  .prod-card {
    background-color: #fff;
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
  }
}
.prod-desc {
  margin: 3rem -3.5rem 0;
  font-size: 0.75rem;
  opacity: 0;
  transition: all cubic-bezier(0.55, 0.055, 0.675, 0.19) 0.25s;
}
@media (min-width: 768px) {
  .prod-desc {
    margin: 4rem -7.5rem 0;
    font-size: 0.85rem;
  }
}
.swiper-slide-active > .prod-desc {
  opacity: 1;
}

.swiper-container.swiper-product-cards2
  > .swiper-wrapper
  > .swiper-slide.swiper-slide-next {
  transform: translate(-100%, -4.5rem) scale(0.9);
}

@media (max-width: 768px) {
  .lct__dream_big--happy_nutri-swiper_container:before {
    content: '';
    position: absolute;
    width: 90%;
    left: 5%;
    height: calc(100% - 240px);
    border-radius: 32px;
    background-color: #000;
    background: linear-gradient(240.91deg, #1b63aa 10.39%, #0038aa 95.99%);
  }
}

/* flip on mobile and desktop */
@media (max-width: 768px) {
  .swiper-product-cards {
    height: 30rem;
    position: relative;
    top: 5rem;
  }
}

.flip {
  transform: translate3d(0px, 0px, 0px) !important;
}

.flip > .swiper-slide {
  transform: scale(1) !important;
  transition: all cubic-bezier(0.55, 0.055, 0.675, 0.19) 0.15s;
  margin-top: 0;
}
.flip > .swiper-slide-next {
  cursor: pointer;
  transform: scale(0.9) !important;
  margin-top: -5rem;
  position: absolute;
}
@media (min-width: 768px) {
  .swiper-container.swiper-product-cards
    > .swiper-wrapper
    > .swiper-slide.swiper-slide-next
    .card {
    background: #e3f5ff !important;
  }
  .swiper-container.swiper-product-cards
    > .swiper-wrapper
    > .swiper-slide.swiper-slide-next
    .card-title {
    color: #10a6ed;
    margin-top: -0.3em;
  }
}
